# Get contact merge history

Retrieve the paginated list of contacts that have been merged into a given contact.
Only available for contacts with a `user` role. Returns a `404` if the contact is not found or has a `lead` role.

Endpoint: GET /contacts/{id}/merge_history
Version: 2.16
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    The id of the contact to fetch merge history for.

## Query parameters:

  - `cursor` (string)
    A cursor for pagination. Pass the `next_cursor` value from a previous response to fetch the next page.

  - `per_page` (integer)
    The number of results to return per page (default 50, max 150).

  - `order` (string)
    The order to return results in. Defaults to descending.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of object.
    Enum: "list"

  - `data` (array)
    An array of merge history entries.

  - `data.type` (string)
    The type of object.
    Example: merge_history

  - `data.source_contact_id` (string)
    The Intercom ID of the contact that was merged into this contact.
    Example: 5ba682d23d7cf92bef87bfd3

  - `data.source_contact_role` (string)
    The role of the contact that was merged in.
    Enum: "lead", "user"

  - `data.merged_at` (integer)
    (Unix timestamp in seconds) The time when the merge occurred.
    Example: 1571672154

  - `next_cursor` (string)
    A cursor to pass as the `cursor` query parameter to fetch the next page of results. Absent when there are no more pages.
    Example: WyIxNjM0NTY3ODkwIl0

  - `has_more` (boolean)
    Whether there are more results to fetch.
    Example: false

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

